Page MenuHomePhabricator

Get user languages from Babel
Closed, ResolvedPublic

Description

Make a function to get the user language from the Babel settings as an alternative to the earlier used preferences. This can only be used in pages that is not cached.


Version: unspecified
Severity: enhancement

Details

Reference
bz42326

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 12:50 AM
bzimport set Reference to bz42326.
bzimport added a subscriber: Unknown Object (MLST).
jeblad created this task.Nov 21 2012, 2:18 PM

There are probably better and more expected sources like:

  • read the browser accept language setting
  • get the browser language

The "Babel tower defining the language" would be an obscure feature, and not intuitive at all: most users willing to set language would first try the preferences pages.

This would be interesting to offer proper localization to people not familiar with our preferences, but I'm doubtful we'll have a lot of people able to write {{#babel:de|en-2|ru-1}} in their user page without knowing the preference.

[Moving to Babel extension, as it's more logical the function is implemented there. Adding wikidata keyword for better tracking. ]

This is about language fallbacks that is not covered by normal content negotiation, nor by preferences (it is a list of alternate languages). If it is not implemented in Babel it could easily be moved to Wikibase and be done there.

Gerrit change 33505 merged by Reedy on the 16th of January.

Denny added a comment.Aug 22 2013, 2:55 PM

Closed older resolved bugs as verified.